Opened 6 years ago

Closed 8 months ago

#47163 closed update (fixed)

v8: update to 3.24.6 or greater

Reported by: ryandesign (Ryan Schmidt) Owned by: macports-tickets@…
Priority: Normal Milestone:
Component: ports Version:
Keywords: Cc: patrixgdd
Port: v8

Description

I'm trying to add a port for the v8js PHP module, and its current version 0.2.0 requires v8 3.24.6 or greater. Could v8 be updated?

Change History (6)

comment:1 Changed 6 years ago by ryandesign (Ryan Schmidt)

Cc: cal@… added
Owner: changed from macports-tickets@… to frodwith@…

comment:2 Changed 6 years ago by ryandesign (Ryan Schmidt)

Current version is 4.4.63.25.

comment:3 Changed 5 years ago by neverpanic (Clemens Lang)

Cc: cal@… removed

I no longer maintain v8.

comment:4 Changed 5 years ago by ryandesign (Ryan Schmidt)

Cc: patrixgdd@… added

Has duplicate #49943.

comment:5 Changed 5 years ago by kurthindenburg (Kurt Hindenburg)

Owner: changed from frodwith@… to macports-tickets@…
Status: newassigned

comment:6 Changed 8 months ago by chrstphrchvz (Christopher Chavez)

Resolution: fixed
Status: assignedclosed

In 3ef45bcf4bfb54b9c1e9c74eb3b54c111e0095c5/macports-ports (master):

v8: delete neglected port

Port has been unable to fetch.
Closes: #52532
See: #53467

Upstream project continues to publish new releases frequently.
Version in MacPorts (from 2014) has known security issues.

Dependents were rethinkdb (removed in 2018) and mongodb
(no longer uses MacPorts' v8).

Closes: #41677
Closes: #41678
Closes: #41924
Closes: #45908
Closes: #47163

Note: See TracTickets for help on using tickets.